For the complete documentation index, see llms.txt. This page is also available as Markdown.

Sellers

Retrieve seller given an ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
200

OK

application/json
idstringOpcional
namestringOpcional
seller_typestringOpcional
fiscal_registration_numberstringOpcional
emailstringOpcional
phonestringOpcional
mobilestringOpcional
activebooleanOpcional
max_increase_ratenumberOpcional
max_discount_ratenumberOpcional
get/sellers/{id}
GET /api/sales/sellers/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "seller_type": "text",
  "fiscal_registration_number": "text",
  "email": "text",
  "phone": "text",
  "mobile": "text",
  "active": true,
  "max_increase_rate": 1,
  "max_discount_rate": 1,
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}

Update an existing seller

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Corpo
namestringObrigatório
seller_typestringObrigatório
fiscal_registration_numberstringObrigatório
emailstringObrigatório
phonestringObrigatório
mobilestringObrigatório
activebooleanObrigatório
max_increase_ratenumberObrigatório
max_discount_ratenumberObrigatório
Respostas
200

Seller updated successfully

application/json
idstringOpcional
namestringOpcional
seller_typestringOpcional
fiscal_registration_numberstringOpcional
emailstringOpcional
phonestringOpcional
mobilestringOpcional
activebooleanOpcional
max_increase_ratenumberOpcional
max_discount_ratenumberOpcional
put/sellers/{id}
PUT /api/sales/sellers/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 220

{
  "name": "text",
  "seller_type": "text",
  "fiscal_registration_number": "text",
  "email": "text",
  "phone": "text",
  "mobile": "text",
  "active": true,
  "max_increase_rate": 1,
  "max_discount_rate": 1,
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "name": "text",
  "seller_type": "text",
  "fiscal_registration_number": "text",
  "email": "text",
  "phone": "text",
  "mobile": "text",
  "active": true,
  "max_increase_rate": 1,
  "max_discount_rate": 1,
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}

Remove an existing seller

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
idstringObrigatório
Respostas
204

Seller removed successfully

application/json
idstringOpcional
delete/sellers/{id}
DELETE /api/sales/sellers/{id} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text"
}

List all sellers

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de consulta
searchstringOpcionalDefault: ""
pageinteger · int32OpcionalDefault: 0
perPageinteger · int32OpcionalDefault: 25
sortstringOpcionalDefault: ""
dirstringOpcionalDefault: asc
only_activebooleanOpcional
Respostas
200

OK

application/json
currentPageinteger · int32Opcional
perPageinteger · int32Opcional
totalinteger · int64Opcional
get/sellers
GET /api/sales/sellers HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "currentPage": 1,
  "perPage": 1,
  "total": 1,
  "items": [
    {
      "id": "text",
      "name": "text",
      "seller_type": "text",
      "fiscal_registration_number": "text",
      "email": "text",
      "phone": "text",
      "mobile": "text",
      "active": true,
      "max_increase_rate": 1,
      "max_discount_rate": 1,
      "attributes": {
        "ANY_ADDITIONAL_PROPERTY": {}
      }
    }
  ]
}

Create a new seller

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
idstringOpcional
namestringObrigatório
seller_typestringObrigatório
fiscal_registration_numberstringObrigatório
emailstringObrigatório
phonestringObrigatório
mobilestringObrigatório
activebooleanObrigatório
max_increase_ratenumberObrigatório
max_discount_ratenumberObrigatório
Respostas
201

Seller created successfully

application/json
idstringOpcional
namestringOpcional
seller_typestringOpcional
fiscal_registration_numberstringOpcional
emailstringOpcional
phonestringOpcional
mobilestringOpcional
activebooleanOpcional
max_increase_ratenumberOpcional
max_discount_ratenumberOpcional
post/sellers
POST /api/sales/sellers HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 232

{
  "id": "text",
  "name": "text",
  "seller_type": "text",
  "fiscal_registration_number": "text",
  "email": "text",
  "phone": "text",
  "mobile": "text",
  "active": true,
  "max_increase_rate": 1,
  "max_discount_rate": 1,
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}
{
  "id": "text",
  "name": "text",
  "seller_type": "text",
  "fiscal_registration_number": "text",
  "email": "text",
  "phone": "text",
  "mobile": "text",
  "active": true,
  "max_increase_rate": 1,
  "max_discount_rate": 1,
  "attributes": {
    "ANY_ADDITIONAL_PROPERTY": {}
  }
}